| Flutter Linux Embedder |

Classes | Enumerations | Functions
fl_accessibility_channel.h File Reference
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_binary_messenger.h"`

Go to the source code of this file.

## Classes
struct | FlAccessibilityChannelVTable

## Enumerations
enum | FlTextDirection { FL_TEXT_DIRECTION_RTL , FL_TEXT_DIRECTION_LTR }
enum | FlAssertiveness { FL_ASSERTIVENESS_POLITE , FL_ASSERTIVENESS_ASSERTIVE }

## Functions
G_BEGIN_DECLS | G_DECLARE_FINAL_TYPE (FlAccessibilityChannel, fl_accessibility_channel, FL, ACCESSIBILITY_CHANNEL, GObject)
FlAccessibilityChannel * | fl_accessibility_channel_new (FlBinaryMessenger *messenger, FlAccessibilityChannelVTable *vtable, gpointer user_data)

## Enumeration Type Documentation

## ◆ FlAssertiveness

enum FlAssertiveness

Enumerator
FL_ASSERTIVENESS_POLITE |
FL_ASSERTIVENESS_ASSERTIVE |

Definition at line 25 of file fl_accessibility_channel.h.

25 {
26 FL_ASSERTIVENESS_POLITE,
27 FL_ASSERTIVENESS_ASSERTIVE,
28 } FlAssertiveness;
FlAssertiveness
FlAssertiveness
Definition: fl_accessibility_channel.h:25
FL_ASSERTIVENESS_POLITE
@ FL_ASSERTIVENESS_POLITE
Definition: fl_accessibility_channel.h:26
FL_ASSERTIVENESS_ASSERTIVE
@ FL_ASSERTIVENESS_ASSERTIVE
Definition: fl_accessibility_channel.h:27

## ◆ FlTextDirection

enum FlTextDirection

Enumerator
FL_TEXT_DIRECTION_RTL |
FL_TEXT_DIRECTION_LTR |

Definition at line 19 of file fl_accessibility_channel.h.

19 {
20 FL_TEXT_DIRECTION_RTL,
21 FL_TEXT_DIRECTION_LTR,
22 } FlTextDirection;
FlTextDirection
FlTextDirection
Definition: fl_accessibility_channel.h:19
FL_TEXT_DIRECTION_LTR
@ FL_TEXT_DIRECTION_LTR
Definition: fl_accessibility_channel.h:21
FL_TEXT_DIRECTION_RTL
@ FL_TEXT_DIRECTION_RTL
Definition: fl_accessibility_channel.h:20

## Function Documentation

## ◆ fl_accessibility_channel_new()

FlAccessibilityChannel* fl_accessibility_channel_new | ( | FlBinaryMessenger * | messenger,
|  | FlAccessibilityChannelVTable * | vtable,
|  | gpointer | user_data
| ) |  |

fl_accessibility_channel_new: @messenger: an #FlBinaryMessenger @vtable: callbacks for incoming method calls. @user_data: data to pass in callbacks.

Creates a new channel that handles accessibility requests from Dart.

Returns: a new #FlAccessibilityChannel

Definition at line 177 of file fl_accessibility_channel.cc.

180 {
181 FlAccessibilityChannel* self = FL_ACCESSIBILITY_CHANNEL(
182 g_object_new(fl_accessibility_channel_get_type(), nullptr));
183
184 self->vtable = vtable;
185 self->user_data = user_data;
186
187 g_autoptr(FlStandardMessageCodec) codec = fl_standard_message_codec_new();
188 self->channel = fl_basic_message_channel_new(messenger, kChannelName,
189 FL_MESSAGE_CODEC(codec));
190 fl_basic_message_channel_set_message_handler(self->channel, message_cb, self,
191 nullptr);
192
193 return self;
194 }
message_cb
static void message_cb(FlBasicMessageChannel *channel, FlValue *message, FlBasicMessageChannelResponseHandle *response_handle, gpointer user_data)
Definition: fl_accessibility_channel.cc:147
kChannelName
static constexpr char kChannelName[]
Definition: fl_accessibility_channel.cc:9
g_autoptr
g_autoptr(FlEngine) engine
user_data
const char FlTextDirection FlAssertiveness gpointer user_data
Definition: fl_accessibility_handler.cc:24
fl_basic_message_channel_set_message_handler
G_MODULE_EXPORT void fl_basic_message_channel_set_message_handler(FlBasicMessageChannel *self, FlBasicMessageChannelMessageHandler handler, gpointer user_data, GDestroyNotify destroy_notify)
Definition: fl_basic_message_channel.cc:176
fl_basic_message_channel_new
G_MODULE_EXPORT FlBasicMessageChannel * fl_basic_message_channel_new(FlBinaryMessenger *messenger, const gchar *name, FlMessageCodec *codec)
Definition: fl_basic_message_channel.cc:154
fl_standard_message_codec_new
G_MODULE_EXPORT FlStandardMessageCodec * fl_standard_message_codec_new()
Definition: fl_standard_message_codec.cc:637

References fl_basic_message_channel_new(), fl_basic_message_channel_set_message_handler(), fl_standard_message_codec_new(), g_autoptr(), kChannelName, message_cb(), and user_data.

Referenced by fl_accessibility_handler_new().

## ◆ G_DECLARE_FINAL_TYPE()

G_BEGIN_DECLS G_DECLARE_FINAL_TYPE | ( | FlAccessibilityChannel | ,
|  | fl_accessibility_channel | ,
|  | FL | ,
|  | ACCESSIBILITY_CHANNEL | ,
|  | GObject |
| ) |  |